package com.yovole.sdk.common.exception;

import com.yovole.sdk.common.response.ErrorAPIResponse;
import com.yovole.sdk.common.utils.JsonUtils;

import java.io.IOException;

public class SdkBaseException extends RuntimeException{
    private ErrorAPIResponse error;
    public SdkBaseException(ErrorAPIResponse error) {
        this.error = error;
    }

    public ErrorAPIResponse getError() {
        return error;
    }

    public void setError(ErrorAPIResponse error) {
        this.error = error;
    }

    public SdkBaseException(String message) {
        ErrorAPIResponse error = new ErrorAPIResponse();
        error.setMessage(message);
        error.setCode(400);
        this.error = error;
    }

    @Override
    public String toString() {
        try {
            return JsonUtils.toJson(this.error);
        } catch (IOException e) {
            return null;
        }
    }
}
