package com.yovole.sdk.common.sign;

import com.yovole.sdk.common.sign.impl.HmacSHA1Signer;

import java.util.ArrayList;
import java.util.List;

/**
 * Author : dujie
 * Created : 2018/10/15 20:06
 */
public class Signers {
    private Signers() {}

    private static List<ISigner> signers = new ArrayList<>();

    static {
        signers.add(new HmacSHA1Signer());
    }

    public static ISigner getSigner(String name) {
        for(ISigner signer : signers) {
            if(signer.getName().equals(name)) return signer;
        }
        return null;
    }
}