package com.yovole.sdk.common.sign.impl;

import com.yovole.sdk.common.sign.ISigner;

import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
import java.nio.charset.StandardCharsets;
import java.security.GeneralSecurityException;
import java.util.Base64;

/**
 * Author : dujie
 * Created : 2018/10/15 20:13
 */
public class HmacSHA1Signer implements ISigner {
    public static final String ALGORITHM_NAME = "HmacSHA1";
    public static final String VERSION_1_0 = "1.0";
    public static final String NAME = "YCS1-HMAC-SHA1";

    public String getAlgorithmName() {
        return ALGORITHM_NAME;
    }

    public String getVersion() {
        return VERSION_1_0;
    }

    @Override
    public String sign(String content, String secretKey) {
        try {
            Mac mac = Mac.getInstance(ALGORITHM_NAME);
            mac.init(new SecretKeySpec(secretKey.getBytes(StandardCharsets.UTF_8), ALGORITHM_NAME));
            return Base64.getEncoder().encodeToString(mac.doFinal(content.getBytes(StandardCharsets.UTF_8)));
        } catch (GeneralSecurityException e) {
            throw new IllegalArgumentException(e.getMessage(), e);
        }
    }

    @Override
    public String getName() {
        return NAME;
    }
}