package com.yovole.sdk.common.utils;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.SerializationFeature;

import java.io.IOException;
import java.io.StringWriter;
import java.text.SimpleDateFormat;
import java.util.SimpleTimeZone;

/**
 * Author : dujie
 * Created : 2018/10/17 21:09
 */
public class JsonUtils {
    private static ObjectMapper mapper;

    private JsonUtils() {}

    static {
        mapper = new ObjectMapper();
        mapper.configure(DeserializationFeature.ACCEPT_SINGLE_VALUE_AS_ARRAY, true);
        mapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
        mapper.setSerializationInclusion(JsonInclude.Include.NON_NULL);
        mapper.getDeserializationConfig().with(new SimpleDateFormat(DateUtils.FORMAT_ISO8601));
        mapper.getDeserializationConfig().with(new SimpleTimeZone(0, DateUtils.TIME_ZONE));
        mapper.getSerializationConfig().with(new SimpleDateFormat(DateUtils.FORMAT_ISO8601));
        mapper.getSerializationConfig().with(new SimpleTimeZone(0, DateUtils.TIME_ZONE));
        mapper.configure(SerializationFeature.FAIL_ON_EMPTY_BEANS, false);
    }

    public synchronized static String toJson(Object modal) throws IOException {
        StringWriter sw = new StringWriter();
        mapper.writeValue(sw, modal);
        return sw.toString();
    }

    public synchronized static <M> M fromJson(String json, Class<M> modalType) throws IOException {
        return mapper.readValue(json, modalType);
    }
}