package com.yovole.sdk.common.utils;

import com.yovole.sdk.common.sign.ISigner;
import com.yovole.sdk.common.sign.Signers;

/**
 * Author : dujie
 * Created : 2018/10/15 19:16
 */
public class SignUtils {
    private SignUtils() {}

    public static String sign(String signerName, String content, String secretKey) {
        ISigner signer = Signers.getSigner(signerName);
        if(signer == null) throw new NullPointerException("No valid signer for " + signerName);
        return signer.sign(content, secretKey);
    }
}