package com.yovole.sdk;

import com.yovole.sdk.common.auth.ICloudCredentials;
import com.yovole.sdk.common.common.Endpoint;
import com.yovole.sdk.common.common.Region;
import com.yovole.sdk.support.Endpoints;
import com.yovole.sdk.support.Regions;

/**
 * Author : dujie
 * Created : 2018/10/17 17:05
 */
public class RegionBasedApiSdkClient extends ApiSdkClient {
    public RegionBasedApiSdkClient(ICloudCredentials credentials, ApiSdkProfile profile) {
        super(credentials, profile);
    }

    public void setRegion(Region region) {
        if(region != null) {
            super.getProfile().setRegion(region);
        }
    }

    public void setRegionCode(String regionCode) {
        this.setRegion(Regions.getByCode(regionCode));
    }

    @Override
    protected String resolveApiUrl(String uri) {
        Endpoint endpoint = this.getProfile().getEndpoint();
        if(endpoint == null) Endpoints.getRegionEndpoint(super.getProfile().getRegion());
        if(endpoint == null) endpoint = super.getProfile().getEndpoint();
        if(endpoint == null) throw new NullPointerException("no endpoint configed");
        String url = endpoint.getProtocol() + "://" + endpoint.getEndpoint() + "/" + super.getProfile().getApiVersion() + uri;
        logger.debug("resolved api url is : " + url);
        return url;
    }
}