package com.yovole.sdk.project;

import com.yovole.sdk.ApiSdkClient;
import com.yovole.sdk.ApiSdkProfile;
import com.yovole.sdk.common.auth.ICloudCredentials;
import com.yovole.sdk.common.exception.SdkBaseException;
import com.yovole.sdk.common.model.BaseRequest;
import com.yovole.sdk.common.response.BaseAPIResponse;
import com.yovole.sdk.project.request.*;
import com.yovole.sdk.project.response.ProjectCreateResponse;
import com.yovole.sdk.project.response.ProjectListResponse;
import com.yovole.sdk.project.response.ProjectMemberListResponse;

/**
 * Author : dujie
 * Created : 2018/10/23 16:03
 */
public class ProjectApiSdkClient extends ApiSdkClient {
    public ProjectApiSdkClient(ICloudCredentials credentials, ApiSdkProfile profile) {
        super(credentials, profile);
    }

    public ProjectCreateResponse createProject(ProjectCreateRequest request) throws SdkBaseException {
        return super.executePost("/project/create", request, ProjectCreateResponse.class);
    }

    public ProjectListResponse listProjects(ProjectListRequest request) throws SdkBaseException {
        return super.executePost("/project/list", request, ProjectListResponse.class);
    }

    public ProjectMemberListResponse listProjectMembers(ProjectMemberListRequest request) throws SdkBaseException {
        return super.executePost("/project/member/list", request, ProjectMemberListResponse.class);
    }

    public BaseAPIResponse addProjectMember(ProjectMemberAddRequest request) throws SdkBaseException {
        return super.executePost("/project/member/add", request, BaseAPIResponse.class);
    }

    public BaseAPIResponse removeProjectMember(ProjectMemberRemoveRequest request) throws SdkBaseException {
        return super.executePost("/project/member/remove", request, BaseAPIResponse.class);
    }

    public BaseAPIResponse updateProjectMember(ProjectMemberUpdateRequest request) throws SdkBaseException {
        return super.executePost("/project/member/update", request, BaseAPIResponse.class);
    }
}