package com.yovole.sdk.support;

import com.yovole.sdk.common.common.Region;
import org.apache.log4j.Logger;
import org.json.JSONArray;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * Author : dujie
 * Created : 2018/10/16 16:57
 */
public class Regions {
    private static List<Region> regions = new ArrayList<>();
    private static Logger logger = Logger.getLogger(Regions.class);

    static {
        try {
            String contents = ClasspathResourceLoader.loadResource("regions.json");
            JSONArray ja = new JSONArray(contents);
            for(int i=0; i<ja.length(); i++) {
                regions.add(new Region(ja.getJSONObject(i).getString("code"), ja.getJSONObject(i).getString("name")));
            }
        } catch (Exception e) {
            logger.error(e.getMessage(), e);
        }
    }

    public static List<Region> getRegions() {
        return Collections.unmodifiableList(regions);
    }

    public static Region getByCode(String regionCode) {
        for(Region region : regions) {
            if(region.getCode().equals(regionCode)) return region;
        }
        return null;
    }
}