package com.yovole.sdk.oss;

import com.yovole.sdk.oss.exception.SdkClientException;
import com.yovole.sdk.oss.model.*;

import java.io.File;
import java.util.List;

public interface IOssApi {

    Bucket createBucket(CreateBucketRequest request) throws SdkClientException;

    Bucket setBucketAcl(SetBucketAclRequest request) throws SdkClientException;

    List<Bucket> listBucket(ListBucketRequest request) throws SdkClientException;

    void deleteBucket(DeleteBucketRequest request) throws SdkClientException;

    ObjectListing listObject(ListObjectRequest request) throws SdkClientException;

    String setObjectAcl(SetObjectAclRequest request) throws SdkClientException;

    ObjectInfo getObjectInfo(ObjectInfoRequest request) throws SdkClientException;

    ObjectMetadata getObjectMetadata(ObjectInfoRequest request) throws SdkClientException;

    void deleteObject(ObjectInfoRequest request) throws SdkClientException;

    CannedAccessControlList getObjectAcl(ObjectInfoRequest request) throws SdkClientException;

    PutObjectResult putObject(PutObjectRequest request) throws SdkClientException;

    DeleteObjectsResult deleteObjects(DeleteObjectsRequest request) throws SdkClientException;

    CopyObjectResult copyObject(CopyObjectRequest request) throws SdkClientException;

    S3Object getObject(String bucketName, String key) throws SdkClientException;

    S3Object getObject(GetObjectRequest request) throws SdkClientException;

    ObjectMetadata getObject(GetObjectRequest getObjectRequest, File destinationFile) throws SdkClientException;

    PutObjectResult createDir(ObjectInfoRequest request) throws SdkClientException;

    CopyObjectResult setObjectMainMetadata(SetObjectMainMetadataRequest request) throws SdkClientException;

    CopyObjectResult setObjectUserMetadata(SetObjectUserMetadataRequest request) throws SdkClientException;

    CopyObjectResult setObjectMetadata(SetObjectMetadataRequest request) throws SdkClientException;

    InitiateMultipartUploadResult initiateMultipartUpload(InitiateMultipartUploadRequest request) throws SdkClientException;

//    boolean uploadBigObject(UploadBigFileRequest request) throws SdkClientException;

    MultipartUploadListing listMultipartUploads(ListMultipartUploadsRequest request) throws SdkClientException;

    PartListing listParts(ListPartsRequest request) throws SdkClientException;

    UploadPartResult uploadPart(UploadPartRequest request) throws SdkClientException;

    CompleteMultipartUploadResult completeMultiPartUpload(CompleteMultipartUploadRequest request) throws SdkClientException;

    void abortMultipartUpload(AbortMultipartUploadRequest request) throws SdkClientException;

    void enableCustomer(EnableOrDisableCustomerRequest request) throws SdkClientException;

    void disableCustomer(EnableOrDisableCustomerRequest request) throws SdkClientException;
}
