package com.yovole.sdk.oss.error;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yovole.sdk.oss.utils.JacksonUtils;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class OssApiError implements Serializable {
    private static final long serialVersionUID = -8704293282791549633L;
    private int status;
    private String error;//status的另一种描述,如status为409时，这个为Conflict
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date timestamp;
    private String message;
    private String debugMessage;
    private List<ApiValidationError> subErrors;


    class ApiValidationError  {
        private String object;
        private String field;
        private Object rejectedValue;
        private String message;

        public String getObject() {
            return object;
        }

        public void setObject(String object) {
            this.object = object;
        }

        public String getField() {
            return field;
        }

        public void setField(String field) {
            this.field = field;
        }

        public Object getRejectedValue() {
            return rejectedValue;
        }

        public void setRejectedValue(Object rejectedValue) {
            this.rejectedValue = rejectedValue;
        }

        public String getMessage() {
            return message;
        }

        public void setMessage(String message) {
            this.message = message;
        }
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getError() {
        return error;
    }

    public void setError(String error) {
        this.error = error;
    }

    public Date getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Date timestamp) {
        this.timestamp = timestamp;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getDebugMessage() {
        return debugMessage;
    }

    public void setDebugMessage(String debugMessage) {
        this.debugMessage = debugMessage;
    }

    public List<ApiValidationError> getSubErrors() {
        return subErrors;
    }

    public void setSubErrors(List<ApiValidationError> subErrors) {
        this.subErrors = subErrors;
    }

    @Override
    public String toString() {
        return JacksonUtils.objToString(this);
    }
}




