package com.yovole.sdk.oss.exception;

import com.yovole.sdk.oss.error.OssApiError;
import com.yovole.sdk.oss.model.HttpResult;
import com.yovole.sdk.oss.utils.JacksonUtils;
import org.apache.log4j.Logger;

public class SdkClientException extends RuntimeException{
    private static final long serialVersionUID = 4631588573925138945L;
    private OssApiError error;

    public SdkClientException(OssApiError error) {
        super(error.getMessage());
        this.error = error;
    }

    public SdkClientException(String message, Throwable cause) {
        super(message, cause);
    }

    public OssApiError getError() {
        return error;
    }

    public void setError(OssApiError error) {
        this.error = error;
    }

    public static SdkClientException getSdkClientException(String body){
        OssApiError apiError = JacksonUtils.jsonToObj(body, OssApiError.class);
        Logger.getLogger(SdkClientException.class).error(apiError);
        return new SdkClientException(apiError);
    }

    public static SdkClientException getSdkClientException(HttpResult httpResult){
        return getSdkClientException(httpResult.getBody());
    }

    public SdkClientException(String message) {
        super(message);
    }

    public SdkClientException(Throwable cause) {
        super(cause);
    }
}
