package com.yovole.sdk.oss.model;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

public class CompleteMultipartUploadRequest extends BaseRequest {
    private static final long serialVersionUID = 7268267006530195254L;
    private String uploadId;
    private List<PartETag> partETags = new ArrayList<>();

    public CompleteMultipartUploadRequest() {

    }

    public CompleteMultipartUploadRequest(String bucketName, String key, String uploadId, List<PartETag> partETags) {
        this.setBucket(bucketName);
        this.setKey(key);
        this.uploadId = uploadId;
        this.partETags = partETags;
    }

    @Override
    public void validate() {
        Objects.requireNonNull(getBucket(),getErrorMessage("bucketName"));
        Objects.requireNonNull(getKey(),getErrorMessage("key"));
        Objects.requireNonNull(getUploadId(),getErrorMessage("uploadId"));
    }

    public String getUploadId() {
        return uploadId;
    }

    public void setUploadId(String uploadId) {
        this.uploadId = uploadId;
    }

    public List<PartETag> getPartETags() {
        return partETags;
    }

    public void setPartETags(List<PartETag> partETags) {
        this.partETags = partETags;
    }
}
