package com.yovole.sdk.oss.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;


public class DeleteObjectsResult extends BaseModel{

    private static final long serialVersionUID = -4096666952323434508L;
    private final List<DeletedObject> deletedObjects = new ArrayList<DeletedObject>();

    public DeleteObjectsResult() {
    }

    public DeleteObjectsResult(List<DeletedObject> deletedObjects) {
        this.deletedObjects.addAll(deletedObjects);
    }


    public List<DeletedObject> getDeletedObjects() {
        return deletedObjects;
    }

    /**
     * A successfully deleted object.
     */
    static public class DeletedObject implements Serializable {

        private static final long serialVersionUID = 6011556576895864981L;
        private String key;
        private String versionId;
        private boolean deleteMarker;
        private String deleteMarkerVersionId;

        public String getKey() {
            return key;
        }

        public void setKey(String key) {
            this.key = key;
        }

        public String getVersionId() {
            return versionId;
        }

        public void setVersionId(String versionId) {
            this.versionId = versionId;
        }

        public boolean isDeleteMarker() {
            return deleteMarker;
        }

        public void setDeleteMarker(boolean deleteMarker) {
            this.deleteMarker = deleteMarker;
        }

        public String getDeleteMarkerVersionId() {
            return deleteMarkerVersionId;
        }

        public void setDeleteMarkerVersionId(String deleteMarkerVersionId) {
            this.deleteMarkerVersionId = deleteMarkerVersionId;
        }

    }

}
