package com.yovole.sdk.oss.model;

public class GetObjectRequest extends BaseRequest {

    private long[] range;

    //private ResponseHeaderOverrides responseHeaders;

    private Integer partNumber;


    public long[] getRange() {
        return range == null ? null : range.clone();
    }

    public void setRange(long start, long end) {
        range = new long[] {start, end};
    }


    public void setRange(long start) {
        setRange(start, Long.MAX_VALUE - 1);
    }

    public GetObjectRequest withRange(long start, long end) {
        setRange(start, end);
        return this;
    }

    public GetObjectRequest withRange(long start) {
        setRange(start);
        return this;
    }


    public Integer getPartNumber() {
        return partNumber;
    }

    public void setPartNumber(Integer partNumber) {
        this.partNumber = partNumber;
    }

    public GetObjectRequest withPartNumber(Integer partNumber) {
        setPartNumber(partNumber);
        return this;
    }

    @Override
    public void validate() {

    }

    public GetObjectRequest(String bucket,String key) {
        super.withObject(bucket,key);
    }
}
