package com.yovole.sdk.oss.model;

public interface Headers {

    String CACHE_CONTROL = "Cache-Control";
    String CONTENT_DISPOSITION = "Content-Disposition";
    String CONTENT_ENCODING = "Content-Encoding";
    String CONTENT_LENGTH = "Content-Length";
    String CONTENT_RANGE = "Content-Range";
    String CONTENT_MD5 = "Content-MD5";
    String CONTENT_TYPE = "Content-Type";
    String CONTENT_LANGUAGE = "Content-Language";
    String DATE = "Date";
    String ETAG = "ETag";
    String LAST_MODIFIED = "Last-Modified";
    String SERVER = "Server";
    String CONNECTION = "Connection";
    String COPY_SOURCE = "x-oss-copy-source";
    String AUTHORIZATION = "Authorization";

    String AMAZON_PREFIX = "x-amz-";

    String S3_CANNED_ACL = "x-amz-acl";

    String S3_ALTERNATE_DATE = "x-amz-date";

    String S3_USER_METADATA_PREFIX = "x-oss-meta-";

    String S3_VERSION_ID = "x-amz-version-id";

    String S3_MFA = "x-amz-mfa";

    String REQUEST_ID = "x-amz-request-id";

    String EXTENDED_REQUEST_ID = "x-amz-id-2";

    String CLOUD_FRONT_ID = "X-Amz-Cf-Id";

    String METADATA_DIRECTIVE = "x-amz-metadata-directive";

    String SECURITY_TOKEN = "x-amz-security-token";

    String STORAGE_CLASS = "x-amz-storage-class";

    String SERVER_SIDE_ENCRYPTION = "x-amz-server-side-encryption";

    String SERVER_SIDE_ENCRYPTION_CUSTOMER_ALGORITHM = "x-amz-server-side-encryption-customer-algorithm";

    String SERVER_SIDE_ENCRYPTION_CUSTOMER_KEY = "x-amz-server-side-encryption-customer-key";

    String SERVER_SIDE_ENCRYPTION_CUSTOMER_KEY_MD5 = "x-amz-server-side-encryption-customer-key-MD5";

    String COPY_SOURCE_SERVER_SIDE_ENCRYPTION_CUSTOMER_ALGORITHM = "x-amz-copy-source-server-side-encryption-customer-algorithm";

    String COPY_SOURCE_SERVER_SIDE_ENCRYPTION_CUSTOMER_KEY = "x-amz-copy-source-server-side-encryption-customer-key";

    String COPY_SOURCE_SERVER_SIDE_ENCRYPTION_CUSTOMER_KEY_MD5 = "x-amz-copy-source-server-side-encryption-customer-key-MD5";

    String EXPIRATION = "x-amz-expiration";

    String EXPIRES = "Expires";

    String COPY_SOURCE_IF_MATCH = "x-amz-copy-source-if-match";

    String COPY_SOURCE_IF_NO_MATCH = "x-amz-copy-source-if-none-match";

    String COPY_SOURCE_IF_UNMODIFIED_SINCE = "x-amz-copy-source-if-unmodified-since";

    String COPY_SOURCE_IF_MODIFIED_SINCE = "x-amz-copy-source-if-modified-since";

    String RANGE = "Range";

    String COPY_PART_RANGE = "x-amz-copy-source-range";

    String GET_OBJECT_IF_MODIFIED_SINCE = "If-Modified-Since";

    String GET_OBJECT_IF_UNMODIFIED_SINCE = "If-Unmodified-Since";

    String GET_OBJECT_IF_MATCH = "If-Match";

    String GET_OBJECT_IF_NONE_MATCH = "If-None-Match";

    String CRYPTO_KEY = "x-amz-key";

    String CRYPTO_KEY_V2 = "x-amz-key-v2";

    String CRYPTO_IV = "x-amz-iv";

    String MATERIALS_DESCRIPTION = "x-amz-matdesc";

    String CRYPTO_INSTRUCTION_FILE = "x-amz-crypto-instr-file";

    String UNENCRYPTED_CONTENT_LENGTH = "x-amz-unencrypted-content-length";

    String UNENCRYPTED_CONTENT_MD5 = "x-amz-unencrypted-content-md5";

    String REDIRECT_LOCATION = "x-amz-website-redirect-location";

    String RESTORE = "x-amz-restore";

    String CRYPTO_KEYWRAP_ALGORITHM = "x-amz-wrap-alg";

    String CRYPTO_CEK_ALGORITHM = "x-amz-cek-alg";

    String CRYPTO_TAG_LENGTH = "x-amz-tag-len";

    String REQUESTER_PAYS_HEADER = "x-amz-request-payer";

    String REQUESTER_CHARGED_HEADER = "x-amz-request-charged";

    String SERVER_SIDE_ENCRYPTION_AWS_KMS_KEYID = "x-amz-server-side-encryption-aws-kms-key-id";

    String OBJECT_REPLICATION_STATUS = "x-amz-replication-status";

    String S3_SERVING_REGION = "x-amz-region";

    String S3_BUCKET_REGION = "x-amz-bucket-region";

    String ABORT_DATE = "x-amz-abort-date";

    String ABORT_RULE_ID = "x-amz-abort-rule-id";

    String S3_PARTS_COUNT = "x-amz-mp-parts-count";

    String S3_TAGGING = "x-amz-tagging";

    String S3_TAGGING_COUNT = "x-amz-tagging-count";

    String TAGGING_DIRECTIVE = "x-amz-tagging-directive";

    String REMOVE_SELF_BUCKET_ACCESS = "x-amz-confirm-remove-self-bucket-access";

    String S3_RESTORE_OUTPUT_PATH = "x-amz-restore-output-path";

    String ACCEPT = "Accept";

    String DECODED_CONTENT_LENGTH = "x-amz-decoded-content-length";

    String IAM_VPP = "x-iam-vpp";
    String IAM_CUSTOMER = "x-iam-customer";
    String IAM_USER = "x-iam-user";
}
