package com.yovole.sdk.oss.model;

import com.yovole.sdk.oss.utils.HttpUtils;
import org.apache.http.Header;
import org.apache.http.HttpResponse;
import org.apache.log4j.Logger;

public class HttpResult {
    private Logger logger = Logger.getLogger(getClass());
    private int statusCode;
    private String body;
    private HttpResponse response;

    public HttpResult(HttpResponse response) {
        this.response = response;
        this.statusCode = response.getStatusLine().getStatusCode();
        this.body = getResponseBody(response);
        for(Header header: response.getAllHeaders()){
            logger.debug(header.getName()+": "+header.getValue());
        }
    }

    private String getResponseBody(HttpResponse response){
        return HttpUtils.getResponseBody(response);
    }

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public String getHeader(String name) {
        return response.getFirstHeader(name).getValue();
    }


    public HttpResponse getResponse() {
        return response;
    }

    public void setResponse(HttpResponse response) {
        this.response = response;
    }


}
