package com.yovole.sdk.oss.model;

import java.util.Objects;

public class InitiateMultipartUploadRequest extends BaseRequest {
    private static final long serialVersionUID = 986049801374749570L;
    @Override
    public void validate() {
        Objects.requireNonNull(this.getBucket(),getErrorMessage("bucketName"));
        Objects.requireNonNull(this.getKey(),getErrorMessage("key"));
    }

    public ObjectMetadata objectMetadata;

    private CannedAccessControlList cannedAcl;

    private String redirectLocation;

    public InitiateMultipartUploadRequest(String bucketName, String key) {
        this.setBucket(bucketName);
        this.setKey(key);
    }

    public InitiateMultipartUploadRequest(String bucketName, String key, ObjectMetadata objectMetadata) {
        this.setBucket(bucketName);
        this.setKey(key);
        this.objectMetadata = objectMetadata;
    }

    public InitiateMultipartUploadRequest withBucketName(String bucketName) {
        this.setBucket(bucketName);
        return this;
    }

    public InitiateMultipartUploadRequest withKey(String key) {
        this.setKey(key);
        return this;
    }

    public CannedAccessControlList getCannedAcl() {
        return cannedAcl;
    }

    public void setCannedACL(CannedAccessControlList cannedAcl) {
        this.cannedAcl = cannedAcl;
    }

    public InitiateMultipartUploadRequest withCannedACL(CannedAccessControlList acl) {
        this.cannedAcl = acl;
        return this;
    }

    public ObjectMetadata getObjectMetadata() {
        return objectMetadata;
    }

    public void setObjectMetadata(ObjectMetadata objectMetadata) {
        this.objectMetadata = objectMetadata;
    }

    public InitiateMultipartUploadRequest withObjectMetadata(ObjectMetadata objectMetadata) {
        setObjectMetadata(objectMetadata);
        return this;
    }

    public void setRedirectLocation(String redirectLocation) {
        this.redirectLocation = redirectLocation;
    }

    public String getRedirectLocation() {
        return this.redirectLocation;
    }

    public InitiateMultipartUploadRequest withRedirectLocation(String redirectLocation) {
        this.redirectLocation = redirectLocation;
        return this;
    }

}
