package com.yovole.sdk.oss.model;

import java.util.Objects;

public class ListPartsRequest extends BaseRequest {

    private static final long serialVersionUID = -2370560988776720499L;

    private String uploadId;

    private Integer maxParts;

    private Integer partNumberMarker;

    private String encodingType;

    public ListPartsRequest(String bucketName, String key, String uploadId) {
        this.setBucket(bucketName);
        this.setKey(key);
        this.uploadId = uploadId;
    }

    public ListPartsRequest withBucketName(String bucketName) {
        this.setBucket(bucketName);
        return this;
    }

    @Override
    public void validate() {
        Objects.requireNonNull(this.getBucket(),getErrorMessage("bucketName"));
        Objects.requireNonNull(this.getKey(),getErrorMessage("key"));
        Objects.requireNonNull(this.getUploadId(),getErrorMessage("uploadId"));
    }

    public ListPartsRequest withKey(String key) {
        this.setKey(key);
        return this;
    }

    public String getUploadId() {
        return uploadId;
    }

    public void setUploadId(String uploadId) {
        this.uploadId = uploadId;
    }

    public ListPartsRequest withUploadId(String uploadId) {
        this.uploadId = uploadId;
        return this;
    }

    public Integer getMaxParts() {
        return maxParts;
    }

    public void setMaxParts(int maxParts) {
        this.maxParts = maxParts;
    }

    public ListPartsRequest withMaxParts(int maxParts) {
        this.maxParts = maxParts;
        return this;
    }

    public Integer getPartNumberMarker() {
        return partNumberMarker;
    }

    public void setPartNumberMarker(Integer partNumberMarker) {
        this.partNumberMarker = partNumberMarker;
    }

    public ListPartsRequest withPartNumberMarker(Integer partNumberMarker) {
        this.partNumberMarker = partNumberMarker;
        return this;
    }

    public String getEncodingType() {
        return encodingType;
    }

    public void setEncodingType(String encodingType) {
        this.encodingType = encodingType;
    }

    public ListPartsRequest withEncodingType(String encodingType) {
        setEncodingType(encodingType);
        return this;
    }

}
