package com.yovole.sdk.oss.model;

import com.yovole.sdk.oss.utils.IOUtils;
import java.io.File;
import java.io.InputStream;

public interface S3DataSource {
    File getFile();
    void setFile(File file);
    InputStream getInputStream();
    void setInputStream(InputStream inputStream);

    /**
     * {@link S3DataSource} specific utilities.
     */
    static enum Utils {
        ;
        /**
         * Clean up any temporary streams created during the execution,
         * and restore the original file and/or input stream.
         */
        public static void cleanupDataSource(S3DataSource req,
                final File fileOrig, final InputStream inputStreamOrig,
                InputStream inputStreamCurr) {
            if (fileOrig != null) {
                // We opened a file underneath so would need to release it
                IOUtils.release(inputStreamCurr);
            }
            // restore the original input stream so the caller could close
            // it if necessary
            req.setInputStream(inputStreamOrig);
            req.setFile(fileOrig);
        }
    }
}
