package com.yovole.sdk.oss.model;

import java.io.IOException;
import java.io.InputStream;

public class S3Object extends BaseModel {

    private static final long serialVersionUID = -4485923680405500924L;

    private String key = null;

    private String bucketName = null;

    private ObjectMetadata metadata = new ObjectMetadata();

    private transient S3ObjectInputStream objectContent;

    public ObjectMetadata getObjectMetadata() {
        return metadata;
    }

    public void setObjectMetadata(ObjectMetadata metadata) {
        this.metadata = metadata;
    }

    public S3ObjectInputStream getObjectContent() {
        return objectContent;
    }

    public void setObjectContent(S3ObjectInputStream objectContent) {
        this.objectContent = objectContent;
    }

    public void setObjectContent(InputStream objectContent) {
        setObjectContent(new S3ObjectInputStream(objectContent,
                this.objectContent != null ? this.objectContent.getHttpRequest() : null));
    }

    public String getBucketName() {
        return bucketName;
    }

    public void setBucketName(String bucketName) {
        this.bucketName = bucketName;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String toString() {
        return "S3Object [key=" + getKey()
            + ",bucket=" + (bucketName == null ? "<Unknown>" : bucketName)
            + "]";
    }

    public void close() throws IOException {
        InputStream is = getObjectContent();
        if (is != null)
            is.close();
    }

    public S3Object(String bucketName,String key) {
        this.bucketName = bucketName;
        this.key = key;
    }
}
