package com.yovole.sdk.oss.model;

import com.yovole.sdk.oss.core.SdkFilterInputStream;
import com.yovole.sdk.oss.utils.IOUtils;
import org.apache.http.client.methods.HttpRequestBase;
import java.io.IOException;
import java.io.InputStream;

public class S3ObjectInputStream extends SdkFilterInputStream {

    private final HttpRequestBase httpRequest;

    public S3ObjectInputStream(InputStream in, HttpRequestBase httpRequest) {
        super(in);
        this.httpRequest = httpRequest;

    }

    @Override
    public void abort() {
        super.abort();

        if (httpRequest != null) {
            httpRequest.abort();
        }

        // The default abort() implementation calls abort on the wrapped stream
        // if it's an SdkFilterInputStream; otherwise we'll need to close the
        // stream.
        if (!(in instanceof SdkFilterInputStream)) {
            IOUtils.closeQuietly(in);
        }
    }

    public HttpRequestBase getHttpRequest() {
        return httpRequest;
    }

    @Override
    public int available() throws IOException {
        int estimate = super.available();
        return estimate == 0 ? 1 : estimate;
    }

    @Override
    public void close() throws IOException {
        super.close();
    }

}
