package com.yovole.sdk.oss.model;

import com.yovole.sdk.oss.exception.SdkClientException;
import com.yovole.sdk.oss.utils.MetadataUtils;
import org.apache.http.HttpResponse;

public class S3ObjectResponseHandler implements BaseResponseHandler<S3Object>  {

    public S3Object handle(OssHttpRequest httpRequest, HttpResponse response) throws SdkClientException {
        S3Object s3Object = new S3Object(httpRequest.getRequest().getBucket(), httpRequest.getRequest().getKey());
        try {
            s3Object.setObjectContent(response.getEntity().getContent());
        } catch (Exception e){
            throw new SdkClientException(e.getMessage(),e);
        }
        s3Object.setObjectMetadata(MetadataUtils.populateObjectMetadata(response,new ObjectMetadata()));
        return s3Object;
    }
}
