package com.yovole.sdk.oss.model;

import java.util.Objects;

public class SetBucketAclRequest extends BaseRequest {
	private static final long serialVersionUID = -2535415972687965577L;

	private CannedAccessControlList cannedAcl;

	public SetBucketAclRequest(String bucketName, CannedAccessControlList acl) {
		setBucket(bucketName);
		this.cannedAcl = acl;
	}


	public CannedAccessControlList getCannedAcl() {
		return cannedAcl;
	}

	@Override
	public void validate() {
		Objects.requireNonNull(getBucket(),getErrorMessage("bucket"));
		Objects.requireNonNull(cannedAcl,getErrorMessage("acl"));
	}
}
