package com.yovole.sdk.oss.model;


import java.util.Objects;

public class SetObjectAclRequest extends BaseRequest{
    private static final long serialVersionUID = -180118191345531635L;

    /** The name of the object whose ACL is being set. */
    /** The canned ACL to apply to the specified object. */
    private CannedAccessControlList cannedAcl;


    public CannedAccessControlList getCannedAcl() {
        return cannedAcl;
    }

    public SetObjectAclRequest(String bucketName, String key, CannedAccessControlList cannedAcl) {
        setBucket(bucketName);
        setKey(key);
        this.cannedAcl = cannedAcl;
    }

    @Override
    public void validate() {
        Objects.requireNonNull(getBucket(),getErrorMessage("bucket"));
        Objects.requireNonNull(getKey(),getErrorMessage("key"));
        Objects.requireNonNull(cannedAcl,getErrorMessage("cannedAcl"));
    }
}
