package com.yovole.sdk.oss.model;

import java.util.Objects;

/**
 * 设置主metadata信息
 */
public class SetObjectMainMetadataRequest extends BaseRequest{
    private static final long serialVersionUID = -7343017315131780842L;
    private ObjectMetadata newMetadata;

    public ObjectMetadata getNewMetadata() {
        return newMetadata;
    }

    public void setNewMetadata(ObjectMetadata newMetadata) {
        this.newMetadata = newMetadata;
    }

    public SetObjectMainMetadataRequest(String bucket, String key, ObjectMetadata newMetadata) {
        setBucket(bucket);
        setKey(key);
        this.newMetadata = newMetadata;
    }

    @Override
    public void validate() {
        Objects.requireNonNull(getBucket(),getErrorMessage("bucket"));
        Objects.requireNonNull(getKey(),getErrorMessage("key"));
        Objects.requireNonNull(newMetadata,getErrorMessage("newMetadata"));
        if(newMetadata.getContentType()==null && newMetadata.getContentEncoding()==null
                && newMetadata.getHttpExpiresDate()==null && newMetadata.getCacheControl()==null
                && newMetadata.getContentDisposition()==null && newMetadata.getContentLanguage()==null){
            throw new NullPointerException("Main attribute of new metadata must be specified!");
        }
    }
}
