package com.yovole.sdk.oss.model;

import java.util.Map;
import java.util.Objects;
import java.util.TreeMap;

/**
 * 设置用户userdata信息
 */
public class SetObjectUserMetadataRequest extends BaseRequest{
    private static final long serialVersionUID = -7343017315131780842L;
    private Map<String, String> userMetadata = new TreeMap<String, String>(String.CASE_INSENSITIVE_ORDER);

    public Map<String, String> getUserMetadata() {
        return userMetadata;
    }

    public void setUserMetadata(Map<String, String> userMetadata) {
        this.userMetadata = userMetadata;
    }

    public SetObjectUserMetadataRequest(String bucket, String key) {
        setBucket(bucket);
        setKey(key);
    }

    @Override
    public void validate() {
        Objects.requireNonNull(getBucket(),getErrorMessage("bucket"));
        Objects.requireNonNull(getKey(),getErrorMessage("key"));
        if(userMetadata==null || userMetadata.size()==0){
            throw new NullPointerException(getErrorMessage("userMetadata"));
        }
    }
}
