package com.yovole.sdk.oss.model;

import java.io.File;
import java.io.InputStream;
import java.util.Objects;

public class UploadBigFileRequest extends BaseRequest implements S3DataSource{
    private static final long serialVersionUID = 8110958637567940239L;
    private File file;
    private transient InputStream inputStream;
    private ObjectMetadata metadata;
    private CannedAccessControlList cannedAcl;

    @Override
    public void validate() {
        Objects.requireNonNull(getBucket(),getErrorMessage("bucket"));
        Objects.requireNonNull(getKey(),getErrorMessage("key"));
        if (file == null && inputStream == null) {
            throw new NullPointerException(getErrorMessage("file or inputstream "));
        }
    }

    @Override
    public File getFile() {
        return file;
    }

    @Override
    public void setFile(File file) {
        this.file = file;
    }

    @Override
    public InputStream getInputStream() {
        return inputStream;
    }

    @Override
    public void setInputStream(InputStream inputStream) {
        this.inputStream = inputStream;
    }

    public ObjectMetadata getMetadata() {
        return metadata;
    }

    public void setMetadata(ObjectMetadata metadata) {
        this.metadata = metadata;
    }

    public CannedAccessControlList getCannedAcl() {
        return cannedAcl;
    }

    public void setCannedAcl(CannedAccessControlList cannedAcl) {
        this.cannedAcl = cannedAcl;
    }
}
