package com.yovole.sdk.oss.utils;

import org.apache.commons.lang3.StringUtils;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;

public class ConvertUtils {

    public static String processUrlStr(final String str) {
        try {
            return (URLEncoder.encode(str, "UTF-8")
                    .replace("%3A", ":")
                    .replace("%2F", "/")
                    .replace("+", "%20"));
        } catch (UnsupportedEncodingException e) {
            // This should never happen unless there is something
            // fundamentally broken with the running JVM.
            throw new RuntimeException(e);
        }
    }

    public static String getS3Path(String bucket, String object) {
        String pathStr = getPathStr(bucket,object);
        return processUrlStr(pathStr);
    }

    private static String getPathStr(String bucket, String object){
        StringBuilder builder = new StringBuilder("/");
        if (StringUtils.isNotEmpty(bucket)) {
            builder.append(bucket);
            //先有bucket再有object
            if (StringUtils.isNotEmpty(object)) builder.append("/").append(object);
        }
        return builder.toString();
    }
}
