package com.yovole.sdk.oss.utils;

import org.apache.log4j.Logger;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;

public class DateUtils {
    private static Logger logger = Logger.getLogger(DateUtils.class);
    /** RFC 822 format */
    private static final DateFormat RFC822_DATE_FORMAT
            = new SimpleDateFormat("EEE, dd MMM yyyy HH:mm:ss 'GMT'", Locale.US);
    static {
        RFC822_DATE_FORMAT.setTimeZone(TimeZone.getTimeZone("GMT"));
    }
    public static final String formatRFC822Date(Date date){
        return RFC822_DATE_FORMAT.format(date);
    }

    public static final Date parseRFC822Date(String str) throws ParseException{
        return RFC822_DATE_FORMAT.parse(str);
    }
}
