package com.yovole.sdk.oss.utils;

import com.yovole.sdk.oss.core.Releasable;
import org.apache.log4j.Logger;

import java.io.Closeable;
import java.io.IOException;

public class IOUtils {
    private static Logger logger = Logger.getLogger(IOUtils.class);
    public static void release(Closeable is) {
        closeQuietly(is);
        if (is instanceof Releasable) {
            Releasable r = (Releasable) is;
            r.release();
        }
    }

    /**
     * Closes the given Closeable quietly.
     *
     * @param is  the given closeable
     */
    public static void closeQuietly(Closeable is) {
        if (is != null) {
            try {
                is.close();
            } catch (IOException ex) {
                logger.debug("Ignore failure in closing the Closeable", ex);
            }
        }
    }
}
